Page MenuHomePhabricator

[GlobalISel][X86] support G_FPEXT operation.
ClosedPublic

Authored by igorb on Jun 29 2017, 9:28 AM.

Details

Diff Detail

Repository
rL LLVM

Event Timeline

igorb created this revision.Jun 29 2017, 9:28 AM
guyblank added inline comments.Jul 3 2017, 6:45 AM
lib/Target/X86/X86RegisterBankInfo.cpp
196 ↗(On Diff #104665)

move comment up + update it?

consider moving the switch to a helper

getInstrPartialMappingIdxs(MI, MRI, isFP(Opc), OpRegBankIdx);
igorb updated this revision to Diff 114586.Sep 11 2017, 6:50 AM
  • fix according to comments and rebase
igorb added inline comments.Sep 11 2017, 6:52 AM
lib/Target/X86/X86RegisterBankInfo.cpp
196 ↗(On Diff #104665)

For now i prefer not to move the logic to help function.

zvi accepted this revision.Sep 12 2017, 11:43 PM

LGTM

This revision is now accepted and ready to land.Sep 12 2017, 11:43 PM
This revision was automatically updated to reflect the committed changes.